org.cpsolver.studentsct.heuristics

## Class TwoPhaseStudentSctNeighbourSelection.RestoreDummyStudents

- java.lang.Object
- - org.cpsolver.studentsct.heuristics.TwoPhaseStudentSctNeighbourSelection.RestoreDummyStudents

- All Implemented Interfaces:
    NeighbourSelection<Request,Enrollment>
  Enclosing class:
    TwoPhaseStudentSctNeighbourSelection

      protected class TwoPhaseStudentSctNeighbourSelection.RestoreDummyStudents
      extends Object
      implements NeighbourSelection<Request,Enrollment>

  Return all dummy students into the problem, executed as the last phase of the first round

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestoreDummyStudents()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Solver<Request,Enrollment> solver)` Criterion initialization
    `Neighbour<Request,Enrollment>` | `selectNeighbour(Solution<Request,Enrollment> solution)` Return all (removed) dummy students into the problem

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestoreDummyStudents

          public RestoreDummyStudents()

  - ### Method Detail

    - #### init

          public void init(Solver<Request,Enrollment> solver)

      Description copied from interface: `NeighbourSelection`
      Criterion initialization
      Specified by:
        `init` in interface `NeighbourSelection<Request,Enrollment>`
      Parameters:
        `solver` - current solver

    - #### selectNeighbour

          public Neighbour<Request,Enrollment> selectNeighbour(Solution<Request,Enrollment> solution)

      Return all (removed) dummy students into the problem
      Specified by:
        `selectNeighbour` in interface `NeighbourSelection<Request,Enrollment>`
      Parameters:
        `solution` - given solution
      Returns:
        a neighbour assignment